> ## Documentation Index
> Fetch the complete documentation index at: https://kapso-1adbad2d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get flow details

> Returns details for a specific flow



## OpenAPI

````yaml api/legacy/openapi-agents.yaml get /flows/{flow_id}
openapi: 3.0.3
info:
  title: Kapso External API - Agents & Flows API
  description: >-
    API for programmatically interacting with Kapso agents, executions, and
    WhatsApp conversations. This specification includes only Agents & Flows API
    endpoints.
  version: 1.0.0
  contact:
    name: Kapso Support
servers:
  - url: https://app.kapso.ai/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /flows/{flow_id}:
    get:
      tags:
        - Flows
      summary: Get flow details
      description: Returns details for a specific flow
      operationId: getFlow
      parameters:
        - name: flow_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Flow details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Flow'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Flow not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Flow:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: flow-123abc
        name:
          type: string
          example: Customer Onboarding Flow
        description:
          type: string
          nullable: true
          example: Automated flow for onboarding new customers
        status:
          type: string
          enum:
            - draft
            - active
            - archived
          example: active
        project_id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        created_by:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
        last_executed_at:
          type: string
          format: date-time
          nullable: true
        execution_count:
          type: integer
          example: 42
    Error:
      type: object
      properties:
        error:
          type: string
          example: Resource not found
        status:
          type: integer
          example: 404
        message:
          type: string
          example: The requested resource could not be found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key required for all endpoints

````